Page 1 sur 1

Problème serveur

Message Publié : 14 Mars 2014, 12:41
par Tiana
Bonjour,

J'ai problème sur l'installation de mon site avec wordpress.
Le message d'erreur suivant s'affiche lors de l'installation:

"Votre serveur utilise la version 4.4.9 de PHP mais WordPress 3.5 nécéssite au moins la version 5.2.4."

Est-ce quelqu'un a une idée pour résoudre ce problème?

Merci

Re: Problème serveur

Message Publié : 14 Mars 2014, 12:45
par Jimcail
Je suis pas fan et pro de wordpress mais je pense que tu a un soucis de version php :?

Re: Problème serveur

Message Publié : 14 Mars 2014, 12:48
par BrunoT
Ça se passe du côté de ton hébergement.

Quel est ton hébergeur et surtout te permet-il d'obtenir la bonne version de php?

Si ce n'est pas le cas, alors tu es condamnée à rester à une version ancienne de WP et à ne pas faire les mises à jour, ou à changer d'hébergeur.

Sinon, demande à bénéficier de la dernière version disponible.

Re: Problème serveur

Message Publié : 14 Mars 2014, 16:12
par Tiana
L'hébérgeur c'est OVH avec une version de PHP 4.4.9.
Y a t-il pas un moin pour que ce soit comptatible avec les nouvelles versions de wordpress?

Re: Problème serveur

Message Publié : 14 Mars 2014, 16:56
par BrunoT
Si tu es chez OVH, tu as accès à des versions bien plus récentes. Voir ici.

Re: Problème serveur

Message Publié : 14 Mars 2014, 17:37
par Buldozer
Salut,
je pense que tu as ton hébergement avant janvier 2014.
Si tu veux une autre version :
à la racine de l'hébergement, tu crée un fichier : .ovhconfig (il y a un point devant ovh)
dans le fichier, tu rajoutes la ligne :
app.engine.version=5.4 : pour la version 5.4.3

Depuis le 1/1/2014, le fichier est crée par défaut : http://www.ovh.com/fr/g1175.optimisatio ... ualise-ovh

Re: Problème serveur

Message Publié : 14 Mars 2014, 17:42
par BrunoT
Ben ça doit être même bien avant janvier 2014, car celui que j'ai depuis février 2012 n'a jamais posé de problème de php et je n'ai pas eu à toucher ou créer quelque fichier que ce soit :oops:

Re: Problème serveur

Message Publié : 14 Mars 2014, 20:03
par Buldozer
Le fichier ovhconfig date de début de l'année.
Avant, il falait mettre l'info dans le htacess

Re: Problème serveur

Message Publié : 15 Mars 2014, 11:09
par BrunoT
Perso, je n'ai jamais eu à faire quoique ce soit ;)

Re: Problème serveur

Message Publié : 15 Mars 2014, 17:45
par Buldozer
Moi si.
J'ai mon premier hébergement qui date de 2008.
Depuis, le php a évolué et si tu ne fais pas la manip, tu restes sur le vieux php qui n'est plus compatible avec beaucoup de CMS

Re: Problème serveur

Message Publié : 17 Mars 2014, 10:02
par Tiana
ça marche, je vous remercie pour vos aides.

- création d'un nouveau fichier .ovhconfig avec le contenu ci-dessous:

app.engine=php
app.engine.version=5.4
http.firewall=none
environment=production